part of common_theme_class;

// ignore: must_be_immutable
class IntelTermsAndConditions {
  static centerView({
    @required String termAndCondText,
    @required Color backgroundColor,
    @required Alignment containerAlignment,
    @required double fontSize,
    @required Color fontColor,
    @required String fontFamily,
    @required FontStyle fontStyle,
    FontWeight fontWeight,
    TextDecoration decoration,
    EdgeInsetsGeometry padding,
    EdgeInsetsGeometry margin,

  }) {
    return Container(
      margin: margin,
      color: backgroundColor,
      padding: padding,
      alignment: containerAlignment,
      child: Text(
        termAndCondText,
        style: IntelTextStyle.textStyle(
            fontSize: fontSize,
            color: fontColor,
            fontFamily: fontFamily,
            fontStyle: fontStyle),
      ),
    );
  }
}
